KJS5(1)

NAME
kjs5 - KDE-ECMAScript-kompatibler Interpreter

ÜBERSICHT

kjs5 [ | [--help] | [-help] | [-h] ] [ | [--version] | [-version] | [-v] ] [ | [-e statement] ] [ | script ]

BESCHREIBUNG

kjs ist der KDE-ECMAScript/JavaScript-Interpreter.

ANWENDUNGSOPTIONEN

--help,-help,-h
    Hilfe zu kjs5 anzeigen.

--version,-version,-v
    Version von kjs5 anzeigen.

-e statement
    Führt den Skript-Ausdruck aus und beendet anschließend. Beispiel:

        kjs5 -e "print('hello world')"

script
    Führt die Skript-Befehle aus, die in der Datei script enthalten sind.

BENUTZUNG

Wird kjs5 file ohne Parameter aufgerufen, verhält sich das Programm wie viele andere Interpreter auch: Es wird eine Eingabeaufforderung

    JS
    >

angezeigt, an der Sie Befehle eingeben können. Beenden Sie die Eingabeaufforderung mit dem Befehl quit() oder drücken Sie Strg+D.

SIEHE AUCH

kjscmd5(1)

FEHLER

Bitte berichten Sie Fehler im Fehlerverfolgungssystem von KDE[1].

AUTOR

Harri Porten <porten@kde.org>
    Autor.

FUßNOTEN

1.  Fehlerverfolgungssystem von KDE
    http://bugs.kde.org